### Function

# Gimp buffer_rename

#### Declaration [src]

    gchar*
    gimp_buffer_rename (
      const gchar* buffer_name,
      const gchar* new_name
    )

#### Description [src]

Renames a named buffer.

This procedure renames a named buffer.

Available since: | 2.4

#### Parameters

`buffer_name` | `const gchar*`
| The buffer name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`new_name` | `const gchar*`
| The buffer’s new name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| The real name given to the buffer. The returned value must be freed with g_free().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.